Bug 1131707 - lua: /bin/lxc-top:25: module 'alt_getopt' not found
Summary: lua: /bin/lxc-top:25: module 'alt_getopt' not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-19 21:17 UTC by Samuel Le Thiec
Modified: 2014-09-26 04:05 UTC (History)
5 users (show)

Fixed In Version: lxc-1.0.5-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-13 06:51:35 UTC


Attachments (Terms of Use)

Description Samuel Le Thiec 2014-08-19 21:17:56 UTC
Description of problem:

To use lxc-top, one needs to install lua binding for lxc: lua-lxc. But installing it is not enough as lua-alt-getopt is not set as a dependency:





Version-Release number of selected component (if applicable):
lua-lxc-0.9.0-2.fc20.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

$ sudo lxc-top
lua: /bin/lxc-top:25: module 'alt_getopt' not found:
        no field package.preload['alt_getopt']
        no file '/usr/share/lua/5.2/alt_getopt.lua'
        no file '/usr/share/lua/5.2/alt_getopt/init.lua'
        no file '/usr/lib64/lua/5.2/alt_getopt.lua'
        no file '/usr/lib64/lua/5.2/alt_getopt/init.lua'
        no file './alt_getopt.lua'
        no file '/usr/lib64/lua/5.2/alt_getopt.so'
        no file '/usr/lib64/lua/5.2/loadall.so'
        no file './alt_getopt.so'
stack traceback:
        [C]: in function 'require'
        /bin/lxc-top:25: in main chunk
        [C]: in ?


Expected results:
lxc-top works as expected once lua-alt-getopt.noarch is installed.


Additional info:

Comment 1 Thomas Moschny 2014-08-23 10:12:39 UTC
Thanks for spotting this. Will add the requirement to lua-alt-getopt.

Unfortunately this package is currently missing for EPEL7.

Comment 2 Fedora Update System 2014-08-30 13:10:57 UTC
lxc-1.0.5-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lxc-1.0.5-5.fc20

Comment 3 Fedora Update System 2014-08-30 13:11:02 UTC
lxc-1.0.5-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/lxc-1.0.5-5.el7

Comment 4 Fedora Update System 2014-08-30 13:11:07 UTC
lxc-1.0.5-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lxc-1.0.5-5.el6

Comment 5 Fedora Update System 2014-08-30 13:11:13 UTC
lxc-1.0.5-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lxc-1.0.5-5.fc19

Comment 6 Fedora Update System 2014-08-30 13:11:21 UTC
lxc-1.0.5-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lxc-1.0.5-5.fc21

Comment 7 lnie 2014-09-01 02:09:12 UTC
lxc-1.0.5-5.fc20 works

Comment 8 Fedora Update System 2014-09-01 19:45:49 UTC
Package lxc-1.0.5-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxc-1.0.5-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9997/lxc-1.0.5-5.fc21
then log in and leave karma (feedback).

Comment 9 Sklav 2014-09-05 05:28:34 UTC
Note for EPEL7 even after installing the missing dep lua-alt-getopt

i get the following.

[gnudna@tesla ~]#lxc-top
lua: /usr/share/lua/5.1/lxc.lua:274: attempt to index local 'lines' (a nil value)
stack traceback:
	/usr/share/lua/5.1/lxc.lua:274: in function 'stat_match_get_int'
	/usr/share/lua/5.1/lxc.lua:297: in function 'stats_get'
	/usr/bin/lxc-top:162: in function 'container_list_update'
	/usr/bin/lxc-top:227: in main chunk
	[C]: ?

Comment 10 Fedora Update System 2014-09-13 06:51:35 UTC
lxc-1.0.5-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-09-13 06:51:40 UTC
lxc-1.0.5-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-09-23 05:05:45 UTC
lxc-1.0.5-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-09-24 03:44:21 UTC
lxc-1.0.5-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-09-24 03:46:38 UTC
lxc-1.0.5-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Sklav 2014-09-26 04:05:23 UTC
(In reply to Fedora Update System from comment #13)
> lxc-1.0.5-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If
> problems still persist, please make note of it in this bug report.

Can confirm it is now working as expected for Centos 7 using EPEL 7 package.


Note You need to log in before you can comment on or make changes to this bug.